### Hierarchy

- AppComponent

## Index

### Constructors

- constructor

### Properties

- items
- updateService

### Methods

- ngOnInit

## Constructors

### constructor

- new AppComponent(updateService: SiteBrowserState, authService: JWTAuthService): AppComponent

- - Defined in showcase/app/app.component.ts:20

  #### Parameters

  - ##### updateService: SiteBrowserState

  - ##### authService: JWTAuthService

  #### Returns AppComponent

## Properties

### Private items

items: MenuItem[]

- Defined in showcase/app/app.component.ts:20

### Private updateService

updateService: SiteBrowserState

- Defined in showcase/app/app.component.ts:22

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in showcase/app/app.component.ts:30

  #### Returns void

Generated using TypeDoc